package com.lerx.dao.iface;

import java.util.List;

import com.lerx.entities.Albgenre;
import com.lerx.hql.entities.Rs;

public interface IAlbgenreDao {
	
	public Albgenre add(Albgenre ag);
	public void modify (Albgenre ag);
	public Albgenre findByID(long id);
	public Albgenre findByName(String name);
	public Albgenre findByUuid(String uuid);
	public Albgenre findByFolder(String folder);
	public boolean delByID(long id);
	public Rs query(int page,int pagesize,int status,int open);
	public List<Albgenre> queryAll();

}
